Name:		qwit
Version:	1.1
Release:	0.5.pre2%{?dist}
Summary:	Lightweight desktop client for Twitter microblogging service
Source0:	http://qwit.googlecode.com/files/%{name}-%{version}-pre2-src.tar.bz2
URL:		http://code.google.com/p/%{name}/
Group:		Applications/Internet
License:	GPLv3+
BuildRequires:	qoauth-devel desktop-file-utils
Requires:	hicolor-icon-theme
%{?_qt4_version:Requires: qt4%{?_isa} >= %{_qt4_version}}

%description
Qwit is a Qt4-based lightweight cross-platform client for Twitter. 

Some of its main features are: 
    * depends on Qt4 only;
    * KDE native look;
    * http-proxy support;
    * userpics caching;
    * clickable links in messages;
    * public, replies, custom user timelines, search;
    * caching messages between sessions;
    * replies, retweets and direct messages support;
    * customizable interface;
    * twitpic support;
    * customizable automatic update of all tabs;
    * url shorteners support;
    * multiple accounts support;
    * identi.ca, aitu.kz and other twitter-compatible services support;
    * OAuth support. 

%prep
%setup -q -n %{name}-%{version}-pre2-src

%build
export PATH=%{_qt4_bindir}:$PATH
%{_qt4_qmake} PREFIX=%{_prefix}
make %{?_smp_mflags}

%install
make install INSTALL="install -p" INSTALL_ROOT=%{buildroot}

desktop-file-install \
--add-category="InstantMessaging" \
--remove-category="Internet" \
--delete-original  \
--dir=%{buildroot}%{_datadir}/applications \
%{buildroot}%{_datadir}/applications/%{name}.desktop

# fix wrong icon path
install -d %{buildroot}%{_datadir}/icons/hicolor/32x32/apps
mv %{buildroot}%{_datadir}/icons/%{name}.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/*


%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-0.5.pre2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Aug 11 2010 Chen Lei <supercyper@163.com> - 1.1-0.4.pre2
- update to new prerelease

* Sun Aug 08 2010 Chen Lei <supercyper@163.com> - 1.1-0.3.pre
- update to new prerelease

* Sun Jun 27 2010 Chen Lei <supercyper@163.com> - 1.1-0.2.beta
- fix icon path
- drop Qt4 in summary

* Tue May 25 2010 Chen Lei <supercyper@163.com> - 1.1-0.1.beta
- initial rpm build
